<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0"><TR><TD style="background-image: url('images/bg.gif')">
        <TABLE WIDTH="745" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center">
        <xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        	<TR>
        		<TD rowspan="2" width="142" height="296" valign="top">
        			<!-- MENU -->
        			<table cellpadding="0" cellspacing="0" width="137" style="margin: 47px 0px 0px 6px;">
        				<tr><td colspan="3"><img src="images/menu_tbg.jpg" border="0"/></td></tr>
        				<tr>
        					<td width="5"></td>
        					<td height="136" width="123" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-y;" valign="top">
        						<table cellpadding="0" cellspacing="0" width="123" height="136" style="background-image: url('images/menu_bg.jpg'); background-repeat: no-repeat;" border="0">
        							<tr>
        								<td valign="top">

                                 			<!-- CALL MAIN-MENU-->
                                 			<xsl:call-template name="TOP-MENU"/>

        								</td>
        							</tr>
        						</table>
        						
        					</td>
        					<td width="9"></td>
        				</tr>
        				<tr><td colspan="3"><img src="images/menu_bbg.png" width="137" height="25" border="0"/></td></tr>
        			</table>
        			<!-- END MENU -->
        		</TD>
        		<TD width="603" valign="top">
        		<!-- HEADER -->
        			<table cellpadding="0" cellspacing="0" border="0" style="margin: 146px 30px 5px 5px;" align="right" height="74">
        				<tr><td rowspan="3"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
        				<tr><td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
        				<tr><td class="slogan" style="padding-left: 40px;" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="603" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" style="margin: 75px 0px 0px 10px;" width="554">
        				<tr><td class="text-header" align="right"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="15"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="745" height="33" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat; padding-right: 39px;" class="footer" align="right">
        		<!-- FOOTER -->
        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->


	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" width="107" align="center" border="0">
			<xsl:apply-templates select="MENU" mode="top"/>			
   		</table>											
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>




	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
